petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMGetLabelValue

Get the value in a Sieve Label for the given point, with 0 as the default

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetLabelValue(DM dm, const char name[], PetscInt point, PetscInt *value)

Not Collective

### Input Parameters

| dm | - The DM object
| name | - The label name
| point | - The mesh point

### Output Parameter

value -The label value for this point, or -1 if the point is not in the label

### Keywords

mesh

### See Also

DMLabelGetValue(), DMSetLabelValue(), DMGetStratumIS()

### Level

beginner

### Location

src/dm/interface/dm.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages